Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoakim Erdfelt2015-04-10 16:21:12 -0400
committerJoakim Erdfelt2015-04-10 16:21:12 -0400
commitdc2221a152a22d527bb4dab64f5b1ccf78bc8cf3 (patch)
treeee1efbce7fef94e38b19631c0340e4361dc6b946 /pom.xml
parent645ee9223c1eab035b21383f0073e1c829dc9ed1 (diff)
downloadorg.eclipse.jetty.project-dc2221a152a22d527bb4dab64f5b1ccf78bc8cf3.tar.gz
org.eclipse.jetty.project-dc2221a152a22d527bb4dab64f5b1ccf78bc8cf3.tar.xz
org.eclipse.jetty.project-dc2221a152a22d527bb4dab64f5b1ccf78bc8cf3.zip
Build under Java 1.8
+ Enforcer setup to JDK 1.8+ + Java7 profiles removed (for now) + Main compile phase source/test is 1.7 + Test compile phase source/test is 1.8
Diffstat (limited to 'pom.xml')
-rw-r--r--pom.xml8
1 files changed, 5 insertions, 3 deletions
diff --git a/pom.xml b/pom.xml
index bc1359a8b9..a6c850f5c4 100644
--- a/pom.xml
+++ b/pom.xml
@@ -32,10 +32,12 @@
<plugins>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
- <version>3.2</version>
+ <version>3.3</version>
<configuration>
<source>1.7</source>
<target>1.7</target>
+ <testSource>1.8</testSource>
+ <testTarget>1.8</testTarget>
<verbose>false</verbose>
</configuration>
</plugin>
@@ -135,8 +137,8 @@
<message>[ERROR] OLD MAVEN [${maven.version}] in use, Jetty ${project.version} requires Maven 3.0.0 or newer</message>
</requireMavenVersion>
<requireJavaVersion>
- <version>[1.7.0-40,)</version>
- <message>[ERROR] OLD JDK [${java.version}] in use. Jetty ${project.version} requires JDK 1.7.0_40 or newer</message>
+ <version>[1.8.0,)</version>
+ <message>[ERROR] OLD JDK [${java.version}] in use. Jetty ${project.version} requires JDK 1.8.0 or newer</message>
</requireJavaVersion>
<versionTxtRule implementation="org.eclipse.jetty.toolchain.enforcer.rules.VersionTxtRule" />
<versionOsgiRule implementation="org.eclipse.jetty.toolchain.enforcer.rules.RequireOsgiCompatibleVersionRule" />

Back to the top